Weights Example

Using Programming Languages other than VBA

Sub Example_Weights()
   ' This example creates a Spline object in model space and
   ' returns the weight vector for the new Spline

	Dim splineObj As AcadSpline
	Dim startTan(0 To 2) As Double, endTan(0 To 2) As Double
	Dim fitPoints(0 To 8) As Double
	Dim weightVector As Variant

	' Define the Spline object
	startTan(0) = 0.5: startTan(1) = 0.5: startTan(2) = 0
	endTan(0) = 0.5: endTan(1) = 0.5: endTan(2) = 0
	fitPoints(0) = 0: fitPoints(1) = 0: fitPoints(2) = 0
	fitPoints(3) = 5:	fitPoints(4) = 5: fitPoints(5) = 0
	fitPoints(6) = 10: fitPoints(7) = 0: fitPoints(8) = 0

	' Create new Spline object
	Set splineObj = ThisDrawing.ModelSpace.AddSpline(fitPoints, startTan, endTan)
	
	' Add weights to the Spline
	splineObj.SetWeight 0, 1.5
	splineObj.SetWeight 1, 2
	splineObj.SetWeight 2, 4.5

	ThisDrawing.Application.ZoomAll

	' Display the weight vector of the new Spline
	weightVector = splineObj.Weights
	MsgBox "The weight vector of the new Spline is: " & vbCrLf & _
											weightVector(0) & vbCrLf & _
											weightVector(1) & vbCrLf & _
											weightVector(2)
End Sub

 

   Comments? 
500 Internal Server Error

Internal Server Error

The server encountered an internal error or misconfiguration and was unable to complete your request.

Please contact the server administrator at webmaster@entercad.forsenergy.ru to inform them of the time this error occurred, and the actions you performed just before this error.

More information about this error may be available in the server error log.

Additionally, a 500 Internal Server Error error was encountered while trying to use an ErrorDocument to handle the request.